Bug 1730791 - Backport request: fix logging of users
Summary: Backport request: fix logging of users
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-gunicorn
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Callaghan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 16:04 UTC by Martin Bašti
Modified: 2019-08-23 02:55 UTC (History)
1 user (show)

Fixed In Version: python-gunicorn-19.9.0-4.fc30 python-gunicorn-19.9.0-4.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-23 01:26:20 UTC
Type: Bug


Attachments (Terms of Use)

Description Martin Bašti 2019-07-17 16:04:19 UTC
Description of problem:
I'd kindly ask for backport of following patch into F29
https://github.com/benoitc/gunicorn/pull/2077

Version-Release number of selected component (if applicable):


How reproducible:
if http auth string starts with different case than 'Basic' then gunicorn fails to log username.

Steps to Reproduce:
1.
2.
3.

Actual results:
Username is not always logged

Expected results:
Username should be always logged when basic auth is used


Additional info:

Comment 1 Fedora Update System 2019-08-14 06:39:20 UTC
FEDORA-2019-cb403e272c has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-cb403e272c

Comment 2 Dan Callaghan 2019-08-14 06:42:41 UTC
I filed an update for Fedora 29 as well, not sure why Bodhi hasn't commented about it (yet):

https://bodhi.fedoraproject.org/updates/FEDORA-2019-1b4812af0d

Comment 3 Martin Bašti 2019-08-14 07:48:27 UTC
Thank you very much!

I'll test it when package reach updates-testing repo

Comment 4 Fedora Update System 2019-08-16 19:50:14 UTC
python-gunicorn-19.9.0-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-cb403e272c

Comment 5 Fedora Update System 2019-08-16 20:12:06 UTC
python-gunicorn-19.9.0-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1b4812af0d

Comment 6 Fedora Update System 2019-08-23 01:26:20 UTC
python-gunicorn-19.9.0-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-08-23 02:55:15 UTC
python-gunicorn-19.9.0-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.